<div class="titrePage">
	<h2>strippedwhite Theme Configuration</h2>
</div>

<form method="post" class="properties" action="" ENCTYPE="multipart/form-data" name="form" class="properties">
	<div>
		<fieldset>
			<legend>{'Interface options'|@translate}</legend>
			<ul>
				<li><label>
					<span class="property">{'Hide menu by default on category page'|@translate}</span>&nbsp;
					<input type="checkbox" name="f_hideMenu" {if $options.hideMenu}checked{/if}>
				</label></li>
				<li><label>
					<span class="property">{'Animate menu'|@translate}</span>&nbsp;
					<input type="checkbox" name="f_animatedMenu" {if $options.animatedMenu}checked{/if}>
				</label></li>
				<li><label>
					<span class="property">{'Animate tabs on picture page'|@translate}</span>&nbsp;
					<input type="checkbox" name="f_animatedTabs" {if $options.animatedTabs}checked{/if}>
				</label></li>
				<li><label>
					<span class="property">{'Replace all icons by ALT text'|@translate}</span>&nbsp;
					<input type="checkbox" name="f_replaceActionIcons" {if $options.replaceActionIcons}checked{/if}>
				</label></li>
				<li><label>
					<span class="property">{'Force text to lowercase'|@translate}</span>&nbsp;
					<input type="checkbox" name="f_forceLowercase" {if !($options.noLowercase)}checked{/if}>
				</label></li>
			</ul>
		</fieldset>
		<fieldset>
			<legend>{'Picture page options'|@translate}</legend>
			<ul>
				<li><label>
					<span class="property">{'Show image title on top of the page (after browse path)'|@translate}</span>&nbsp;
					<input type="checkbox" name="f_showTitleOnBrowsePath" {if $options.showTitleOnBrowsePath}checked{/if}>
				</label></li>
				<li><label>
					<span class="property">{'Show description instead of title below image'|@translate}</span>&nbsp;
					<input type="checkbox" name="f_showDescriptionInsteadOfTitle" {if $options.showDescriptionInsteadOfTitle}checked{/if}>
				</label></li>
				<li><label>
					<span class="property">{'Use arrows instead of navigation thumbnails'|@translate}</span>&nbsp;
					<input type="checkbox" name="f_useNavigationArrows" {if $options.useNavigationArrows}checked{/if}>
				</label></li>
				<li><label>
					<span class="property">{'Show Information tab only to admins'|@translate}</span>&nbsp;
					<input type="checkbox" name="f_infoTabAdminOnly" {if $options.infoTabAdminOnly}checked{/if}>
				</label></li>
			</ul>
		</fieldset>
		<fieldset>
			<legend>{'Image autosize options'|@translate}</legend>
			<ul>
				<li><label>
					<span class="property" >{'Resize image to fit window'|@translate}</span>&nbsp;
					<input type="checkbox" name="f_imageAutosize" {if $options.imageAutosize}checked{/if}>
				</label></li>
			</ul>
			<fieldset style="width:80%; margin:auto;">
				<ul>
					<li><label>
						<span class="property">{'Include title after resize'|@translate}</span>&nbsp;
						<input type="checkbox" name="f_imageAutosizeTitle" {if $options.imageAutosizeTitle}checked{/if}>
					</label></li>
					<li>
						<label for="imageAutosizeMargin"><span class="property">{'Additional bottom margin after resize'|@translate}</span>&nbsp;</label>
						<input type="text" id="imageAutosizeMargin" name="f_imageAutosizeMargin" size="1" maxlength="3" value="{$options.imageAutosizeMargin}" style="text-align:center;">&nbsp;px
					</li>
					<li>
						<label for="imageAutosizeMinHeight"><span class="property">{'Minimum image height after resize'|@translate}</span>&nbsp;</label>
						<input type="text" id="imageAutosizeMinHeight" name="f_imageAutosizeMinHeight" size="1" maxlength="3" value="{$options.imageAutosizeMinHeight}" style="text-align:center;">&nbsp;px
					</li>
				</ul>
			</fieldset>
		</fieldset>
	</div>
	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit_strippedwhite" /></p>
</form>