<?php

/*

Theme Name: strippedwhite

Version: 1.3.7
Description: strippedwhite Theme

Theme URI: http://piwigo.org/ext/extension_view.php?eid=538

Author: Julien Capitaine (Zaphod on Piwigo forums)

Author URI: http://www.audreyetjulien.fr/galerie

*/





// Need upgrade?



global $conf;



if (!isset($conf['strippedwhite']))

  include(PHPWG_THEMES_PATH.'strippedwhite/admin/upgrade.inc.php');



add_event_handler('loc_begin_page_header', 'set_config_values');



function set_config_values()

{

	global $conf, $template;



	$config = unserialize( $conf['strippedwhite'] );

	$template->assign( 'strippedwhite', $config );

}

	

$themeconf = array(

  'parent' => 'default',

  'load_parent_css' => false,

  'load_parent_local_head' => false,

  'name' => 'strippedwhite',

  'theme_dir' => 'strippedwhite',

  'icon_dir' => 'themes/strippedwhite/icon',

  'admin_icon_dir' => 'themes/default/icon/admin',

  'mime_icon_dir' => 'themes/default/icon/mimetypes/',

  'local_head' => 'local_head.tpl',

);



load_language('theme.lang', PHPWG_THEMES_PATH.'strippedwhite/');



pwg_set_session_var('show_metadata', true);



// max number of thumbnails by page 



add_event_handler('loc_begin_index', 'modify_nb_thumbnail_page');

function modify_nb_thumbnail_page()

{

	global $user, $page;

	{

		$maxth=15;

		$user['nb_image_page']=$maxth;

		$page['nb_image_page']=$maxth;

	}

}



?>

